/* XBlast 2.5.3 level */

static BMPosition DeathMiddle_Delete[] = {
	{1,1},{1,2},{1,3},{1,4},{1,5},{1,6},{1,7},{1,8},{1,9},{1,10},{1,11},{1,12},{1,13},
	{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{2,7},{2,8},{2,9},{2,10},{2,11},{2,12},{2,13},
	{3,1},{3,2},{3,3},{3,4},{3,5},{3,6},{3,7},{3,8},{3,9},{3,10},{3,11},{3,12},{3,13},
	{4,1},{4,2},{4,3},{4,11},{4,12},{4,13},
	{5,1},{5,2},{5,3},{5,11},{5,12},{5,13},
	{6,1},{6,2},{6,3},{6,11},{6,12},{6,13},
	{7,1},{7,2},{7,3},{7,11},{7,12},{7,13},
	{8,1},{8,2},{8,3},{8,11},{8,12},{8,13},
	{9,1},{9,2},{9,3},{9,4},{9,5},{9,6},{9,7},{9,8},{9,9},{9,10},{9,11},{9,12},{9,13},
	{10,1},{10,2},{10,3},{10,4},{10,5},{10,6},{10,7},{10,8},{10,9},{10,10},{10,11},{10,12},{10,13},
	{11,1},{11,2},{11,3},{11,4},{11,5},{11,6},{11,7},{11,8},{11,9},{11,10},{11,11},{11,12},{11,13}
	};

static BMLevelData DeathMiddle =
{
  /* BMLevel */
  {
    "Death in the Middle",
    "ISTY : Cyril MAESTRAGGI",
    "xblast.useDeathMiddle",
    "Time your bombs... no-one will come to you",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &DeathMiddle,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME/6, 108,DeathMiddle_Delete},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_invincible,
    special_key_special_bomb,
  },
  /* BMPlayerData */
  {
    7, 15,
    {
      {  4,  4 },
      {  4, 10 },
      {  6,  6 },
      {  6,  8 },
      {  8,  4 },
      {  8, 10 },
    },
    PM_Polar, -1,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Gray20", "SpringGreen" },
      { "iron_floor_S", "Black", "Gray20", "SpringGreen" },
      { "dark_block", "MidnightBlue", "RoyalBlue", "Black" },
      { "dark_block_R", "RoyalBlue", "White", "White" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,q,b,b,b,q,B,B,B,B, },
      { B,B,B,B,b,b,b,b,b,B,B,B,B, },
      { B,B,B,B,b,q,b,q,b,B,B,B,B, },
      { B,B,B,B,b,b,b,b,b,B,B,B,B, },
      { B,B,B,B,b,q,b,q,b,B,B,B,B, },
      { B,B,B,B,b,b,b,b,b,B,B,B,B, },
      { B,B,B,B,q,b,b,b,q,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
