/* XBlast 2.5.3 level */
static BMPosition Lego_Draw2[] = {
  {3,3}, {3,11}, {9,11}, {9,3},
};
static BMLevelData LegoLand2x =
{
  /* BMLevel */
  {
    "Legoland 2x",
    "ISTY : Olivier GLADIN",
    "xblast.useLegoLand2x",
    "Catch them in a corner",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &LegoLand2x,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    { 2*GAME_TIME/3, 4, Lego_Draw2, },
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    1, 2,
    {
      {  3,  3 },
      {  3, 11 },
      {  9, 11 },
      {  9,  3 },
      {  5,  7 },
      {  7,  7 },
    },
    PM_Polar, 1,
    IllRun, IllRun, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEshort,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "lego_floor", "Black", "ForestGreen", "ForestGreen" },
      { "lego_floor_S", "Black", "ForestGreen", "ForestGreen" },
      { "lego_white", "Black", "Blue", "ForestGreen" },
      { "lego_floor", "Black", "ForestGreen", "Gray60" },
      { "lego_black", "Red", "Black", "ForestGreen" },
      { "lego_black_O", "Red", "Black", "ForestGreen" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      { "score_floor", "Black", "Black", "Black" },
      { "lego_floor_S", "Black", "ForestGreen", "Gray60" },
    },
  },
  /* BMMapData */
  {
    ShadowFull, DEnone,
    { 49, 99, 99, 99, 99 },
    {
      { V,V,V,V,V,V,V,V,V,V,V,V,V, },
      { V,R,R,R,R,R,R,R,R,R,R,R,V, },
      { V,R,B,B,B,B,B,B,B,B,B,R,V, },
      { V,R,B,_,_,X,X,X,_,_,B,R,V, },
      { V,R,B,_,B,_,B,_,B,_,B,R,V, },
      { V,R,B,X,X,X,X,X,X,X,B,R,V, },
      { V,R,B,_,B,X,B,_,B,_,B,R,V, },
      { V,R,B,X,_,_,X,_,_,X,B,R,V, },
      { V,R,B,_,B,_,B,X,B,_,B,R,V, },
      { V,R,B,X,X,X,X,X,X,X,B,R,V, },
      { V,R,B,_,B,_,B,_,B,_,B,R,V, },
      { V,R,B,_,_,X,X,X,_,_,B,R,V, },
      { V,R,B,B,B,B,B,B,B,B,B,R,V, },
      { V,R,v,v,v,v,v,v,v,v,v,R,V, },
      { V,V,V,V,V,V,V,V,V,V,V,V,V, },
    },
  },
};
