/* XBlast 2.5.3 level */

static BMPosition LW_Draw[] = {
	{1,1},{1,2},{1,3},{1,4},{1,5},{1,6},{1,8},{1,9},{1,10},{1,11},{1,12},{1,13},
	{2,1},{2,3},{2,5},{2,9},{2,11},{2,13},
	{3,1},{3,2},{3,3},{3,4},{3,10},{3,11},{3,12},{3,13},
	{4,1},{4,3},{4,11},{4,13},
	{5,1},{5,2},{5,12},{5,13},
	{6,1},{6,13},
	{7,1},{7,2},{7,12},{7,13},
	{8,1},{8,3},{8,11},{8,13},
	{9,1},{9,2},{9,3},{9,4},{9,10},{9,11},{9,12},{9,13},
	{10,1},{10,3},{10,5},{10,9},{10,11},{10,13},
	{11,1},{11,2},{11,3},{11,4},{11,5},{11,6},{11,8},{11,9},{11,10},{11,11},{11,12},{11,13}
};

static BMLevelData LegoWorld =
{
  /* BMLevel */
  {
    "Lego World",
    "ISTY : Olivier GLADIN",
    "xblast.useLegoWorld",
    "Go crazy",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &LegoWorld,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME/2, 70, LW_Draw},
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    25, 5,
    {
      {  1,  1 },
      {  1, 13 },
      {  3,  7 },
      {  9,  7 },
      { 11,  1 },
      { 11, 13 },
    },
    PM_Polar, 3,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSElong,
    BMTnormal, BMTnapalm, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "lego_floor", "Black", "ForestGreen", "ForestGreen" },
      { "lego_floor_S", "Black", "ForestGreen", "ForestGreen" },
      { "lego_white", "Black", "Blue", "ForestGreen" },
      { "lego_floor", "Black", "ForestGreen", "Gray60" },
      { "lego_black", "Red", "Black", "ForestGreen" },
      { "lego_black_O", "Red", "Black", "ForestGreen" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      { "score_floor", "Black", "Black", "Black" },
      { "lego_floor_S", "Black", "ForestGreen", "Gray60" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 30, 50, 50, 50 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,_,B,_,B,X,B,X,B,_,B,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,B,X,B,_,B,_,B,X,B,_,B, },
      { B,_,X,_,_,_,X,_,_,_,X,_,B, },
      { B,X,B,_,B,X,B,X,B,_,B,X,B, },
      { B,_,_,_,X,_,X,_,X,_,_,_,B, },
      { B,X,B,_,B,X,B,X,B,_,B,X,B, },
      { B,_,X,_,_,_,X,_,_,_,X,_,B, },
      { B,_,B,X,B,_,B,_,B,X,B,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,B,_,B,X,B,X,B,_,B,_,B, },
      { B,_,_,_,_,_,X,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
