/* XBlast 2.5.3 level */

static BMPosition TimeIsOfTheEssence_Draw[] = {
	{1,1},{1,2},{1,3},{1,4},{1,5},{1,6},{1,7},{1,8},{1,9},{1,10},{1,11},{1,12},{1,13},
	{2,1},{2,13},
	{3,1},{3,13},
	{4,1},{4,13},
	{5,1},{5,13},
	{6,1},{6,13},
	{7,1},{7,13},
	{8,1},{8,13},
	{9,1},{9,13},
	{10,1},{10,13},
	{11,1},{11,2},{11,3},{11,4},{11,5},{11,6},{11,7},{11,8},{11,9},{11,10},{11,11},{11,12},{11,13}
	};
	
static BMPosition TimeIsOfTheEssence_Delete[] = {
	{4,4},{4,5},{4,6},{4,7},{4,8},{4,9},{4,10},
	{5,4},{5,6},{5,8},{5,10},
	{6,4},{6,5},{6,6},{6,7},{6,8},{6,9},{6,10},
	{7,4},{7,6},{7,8},{7,10},
	{8,4},{8,5},{8,6},{8,7},{8,8},{8,9},{8,10}
	};

static BMLevelData TimeIsOfTheEssence =
{
  /* BMLevel */
  {
    "Time is of the Essence",
    "ISTY : Olivier GLADIN",
    "xblast.useTimeIsOfTheEssence",
    "Time your bombs... no-one will come to you",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &TimeIsOfTheEssence,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME/4, 44, TimeIsOfTheEssence_Draw},
    {GAME_TIME/4, 29, TimeIsOfTheEssence_Delete},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    3, 2,
    {
      {  3,  4 },
      {  3, 10 },
      {  6,  3 },
      {  6, 11 },
      {  9,  4 },
      {  9, 10 },
    },
    PM_Polar, -1,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_clockwise, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Gray20", "SpringGreen" },
      { "iron_floor_S", "Black", "Gray20", "SpringGreen" },
      { "dark_block", "MidnightBlue", "RoyalBlue", "Black" },
      { "dark_block_R", "RoyalBlue", "White", "White" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,B,B,B,B,_,B,B,B,B,_,B, },
      { B,_,B,B,B,B,_,B,B,B,B,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,B,B,B,B,B,B,B,B,B,_,B, },
      { B,_,B,B,B,B,B,B,B,B,B,_,B, },
      { B,_,B,B,B,B,B,B,B,B,B,_,B, },
      { B,_,B,B,B,B,B,B,B,B,B,_,B, },
      { B,_,B,B,B,B,B,B,B,B,B,_,B, },
      { B,_,_,_,B,B,B,B,B,_,_,_,B, },
      { B,_,B,B,B,B,_,B,B,B,B,_,B, },
      { B,_,B,B,B,B,_,B,B,B,B,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
