/* XBlast 2.5.3 level */

static BMPosition Tournicoti_Delete[] = {
	{1,2},{1,4},{1,6},{1,8},{1,10},{1,12},
	{2,2},{2,4},{2,6},{2,8},{2,10},{2,12},
	{3,2},{3,4},{3,6},{3,8},{3,10},{3,12},
	{4,2},{4,4},{4,6},{4,8},{4,10},{4,12},
	{8,2},{8,4},{8,6},{8,8},{8,10},{8,12},
	{9,2},{9,4},{9,6},{9,8},{9,10},{9,12},
	{10,2},{10,4},{10,6},{10,8},{10,10},{10,12},
	{11,2},{11,4},{11,6},{11,8},{11,10},{11,12}
	};

static BMLevelData Tournicoti =
{
  /* BMLevel */
  {
    "Tournicoti Tournicoton",
    "ISTY : Cyril MAESTRAGGI",
    "xblast.useTournicoti",
    "Time your bombs... no-one will come to you",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Tournicoti,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    {GAME_TIME/4, 48, Tournicoti_Delete},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_stun_others,
    special_key_void,
  },
  /* BMPlayerData */
  {
    2, 2,
    {
      {  1,  3 },
      {  1,  7 },
      {  1, 11 },
      { 11,  3 },
      { 11,  7 },
      { 11, 11 },
    },
    PM_Polar, -1,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Gray20", "SpringGreen" },
      { "iron_floor_S", "Black", "Gray20", "SpringGreen" },
      { "dark_block", "MidnightBlue", "RoyalBlue", "Black" },
      { "dark_block_R", "RoyalBlue", "White", "White" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_POW,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEget,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,r,_,_,_,s,r,s,_,_,_,b,B, },
      { B,B,B,B,B,B,s,B,B,B,B,B,B, },
      { B,_,_,_,_,s,q,s,_,_,_,_,B, },
      { B,B,B,B,B,B,s,B,B,B,B,B,B, },
      { B,r,_,_,_,s,b,s,_,_,_,b,B, },
      { B,B,B,B,B,B,s,B,B,B,B,B,B, },
      { B,_,_,_,_,s,q,s,_,_,_,_,B, },
      { B,B,B,B,B,B,s,B,B,B,B,B,B, },
      { B,b,_,_,_,s,r,s,_,_,_,r,B, },
      { B,B,B,B,B,B,s,B,B,B,B,B,B, },
      { B,_,_,_,_,s,q,s,_,_,_,_,B, },
      { B,B,B,B,B,B,s,B,B,B,B,B,B, },
      { B,b,_,_,_,s,b,s,_,_,_,r,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
