/* XBlast 2.5.3 level */

static BMPosition Death_Delete[] = {
	{1,6},{1,8},
	{2,6},{2,8},
	{3,6},{3,8},
	{4,6},{4,8},
	{5,6},{5,8},
	{6,6},{6,8},
	{7,6},{7,8},
	{8,6},{8,8},
	{9,6},{9,8},
	{10,6},{10,8},
	{11,6},{11,8}
	};

static BMLevelData Death =
{
  /* BMLevel */
  {
    "Death separate East from West",
    "ISTY : Cyril MAESTRAGGI",
    "xblast.useDeath",
    "Time your bombs... no-one will come to you",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Death,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    SCRAMBLE_VOID,
    {GAME_TIME/8, 22, Death_Delete},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_teleport,
    special_key_teleport,
  },
  /* BMPlayerData */
  {
    3, 1,
    {
      {  2,  1 },
      {  2, 13 },
      {  6,  5 },
      {  6,  9 },
      { 10,  1 },
      { 10, 13 },
    },
    PM_Polar, -1,
    Healthy, Healthy, IF_Kick | IF_Teleport,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTblastnow,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Gray20", "SpringGreen" },
      { "iron_floor_S", "Black", "Gray20", "SpringGreen" },
      { "dark_block", "MidnightBlue", "RoyalBlue", "Black" },
      { "dark_block_R", "RoyalBlue", "White", "White" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 0, 99 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,X,X,X,X,X,X,X,X,X,X,X,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
