/* XBlast 2.5.10 level */

static BMPosition DualFights_Draw[] = {
	{4, 1}, {4, 2}, {4, 3}, {4, 4}, {4, 5}, {4, 6}, {4, 8}, {4, 9}, {4, 10}, {4, 11}, {4, 12}, {4, 13},
	{8, 1}, {8, 2}, {8, 3}, {8, 4}, {8, 5}, {8, 6}, {8, 8}, {8, 9}, {8, 10}, {8, 11}, {8, 12}, {8, 13},
	};

static BMLevelData DualFights =
{
  /* BMLevel */
  {
    "Dual Fights",
    "ISTY : Mickael Verdier",
    "xblast.useDualFights",
    "A simple one: stay clear of the explosions",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &DualFights,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    {GAME_TIME/4, 24, DualFights_Draw},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_RC,
    special_key_RC,
  },
  /* BMPlayerData */
  {
    2, 6,
    {
      {  6,  2 },
      {  6, 12 },
      {  2,  2 },
      {  2, 12 },
      { 10,  2 },
      { 10, 12 },
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "LightSteelBlue", "SpringGreen" },
      { "iron_floor_S", "Black", "LightSteelBlue", "SpringGreen" },
      { "dark_block", "Black", "LightCoral", "IndianRed" },
      { "dark_block_R", "Black", "LightCoral", "IndianRed" },
      { "extra", "Black", "Sienna", "Black" },
      { "extra", "Black", "Sienna", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 64, 64 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,X,_,_,_,X,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
