/* XBlast 2.5.3 level */

static BMPosition Nowhere2FullP2Lego_Draw[] = {
	{2,2},{2,4},{2,6},{2,8},{2,10},{2,12},
	{4,2},{4,4},{4,6},{4,8},{4,10},{4,12},
	{6,2},{6,4},{6,6},{6,8},{6,10},{6,12},
	{8,2},{8,4},{8,6},{8,8},{8,10},{8,12},
	{10,2},{10,4},{10,6},{10,8},{10,10},{10,12}
	};

static BMLevelData Nowhere2FullP2Lego =
{
  /* BMLevel */
  {
    "Nowhere to shrink : Full P. LegoLand",
    "ISTY : Olivier GLADIN",
    "xblast.useNowhere2FullP2Lego",
    "Time your bombs... no-one will come to you",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &Nowhere2FullP2Lego,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_isty_compound_2_f,
    {GAME_TIME/4, 30, Nowhere2FullP2Lego_Draw},
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    3, 12,
    {
      {  1,  1 },
      {  1, 13 },
      { 11,  1 },
      { 11, 13 },
      {  3,  7 },
      {  9,  7 },
    },
    PM_Polar, -1,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Gray20", "SpringGreen" },
      { "iron_floor_S", "Black", "Gray20", "SpringGreen" },
      { "dark_block", "MidnightBlue", "RoyalBlue", "Black" },
      { "dark_block_R", "RoyalBlue", "White", "White" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
