/* XBlast 2.5.3 level */

static BMPosition RZ_Draw[] = {
	{4,4},{4,5},{4,6},{4,7},{4,8},{4,9},{4,10},
	{5,4},{5,10},
	{6,4},
	{7,4},{7,10},
	{8,4},{8,5},{8,6},{8,7},{8,8},{8,9},{8,10}
};

static BMLevelData RestrictedZone =
{
  /* BMLevel */
  {
    "Restricted Zone (Tapette Land IV)",
    "ISTY : Cyril MAESTRAGGI",
    "xblast.useRestrictedZone",
    "Go crazy",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &RestrictedZone,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    SCRAMBLE_VOID,
    {GAME_TIME/2, 19, RZ_Draw},
  },
  /* BMFuncData */
  {
    special_init_nasty_walls,
    special_game_nasty_walls,
    special_extra_kick,
    special_key_void,
  },
  /* BMPlayerData */
  {
    0, 1,
    {
      {  6,  6 },
      {  6,  6 },
      {  6,  6 },
      {  6,  6 },
      {  6,  6 },
      {  6,  6 },
    },
    PM_Polar, 3,
    Healthy, Healthy, IF_None,
  },
  /* BMBombData */
  {
    bomb_click_contact, bomb_click_contact, bomb_click_contact,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Gray20", "SpringGreen" },
      { "iron_floor_S", "Black", "Gray20", "SpringGreen" },
      { "dark_block", "MidnightBlue", "RoyalBlue", "Black" },
      { "dark_block_R", "RoyalBlue", "White", "White" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_KICK,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,q,_,r,_,q,_,r,_,q,_,r,B, },
      { B,_,b,_,b,_,b,_,b,_,b,_,B, },
      { B,r,_,q,_,r,_,q,_,r,_,q,B, },
      { B,_,b,_,B,B,B,B,B,_,b,_,B, },
      { B,q,_,r,B,_,_,_,B,q,_,r,B, },
      { B,_,b,_,B,_,_,_,B,_,b,_,B, },
      { B,r,_,q,B,_,_,_,B,r,_,q,B, },
      { B,_,b,_,B,_,_,_,B,_,b,_,B, },
      { B,_,_,_,B,_,_,_,B,_,_,_,B, },
      { B,_,_,_,B,B,_,B,B,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
