/* XBlast 2.5.3 level */

static BMPosition ThePusher_Draw[] = {
	{2,4},{2,5},{2,6},{2,7},{2,8},{2,9},{2,10},
	{4,2},{4,12},
	{5,2},{5,12},
	{6,2},{6,12},
	{7,2},{7,12},
	{8,2},{8,12},
	{10,4},{10,5},{10,6},{10,7},{10,8},{10,9},{10,10}
	};
	
static BMPosition ThePusher_Delete[] = {
	{1,5},{1,6},{1,7},{1,8},{1,9},
	{3,5},{3,6},{3,7},{3,8},{3,9},
	{4,5},{4,6},{4,7},{4,8},{4,9},
	{5,5},{5,6},{5,7},{5,8},{5,9},
	{7,5},{7,6},{7,7},{7,8},{7,9},
	{8,5},{8,6},{8,7},{8,8},{8,9},
	{9,5},{9,6},{9,7},{9,8},{9,9},
	{11,5},{11,6},{11,7},{11,8},{11,9}
	};

static BMLevelData ThePusher =
{
  /* BMLevel */
  {
    "The Pusher",
    "ISTY : Cyril MAESTRAGGI",
    "xblast.useThePusher",
    "Time your bombs... no-one will come to you",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &ThePusher,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME/2, 24, ThePusher_Draw},
    {GAME_TIME/2, 40, ThePusher_Delete},
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_void,
    special_key_void,
  },
  /* BMPlayerData */
  {
    6, 49,
    {
      {  2,  2 },
      {  2, 12 },
      {  6,  2 },
      {  6, 12 },
      { 10,  2 },
      { 10, 12 },
    },
    PM_Polar, -1,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_snooker, bomb_click_none, bomb_click_none,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "Gray20", "SpringGreen" },
      { "iron_floor_S", "Black", "Gray20", "SpringGreen" },
      { "dark_block", "MidnightBlue", "RoyalBlue", "Black" },
      { "dark_block_R", "RoyalBlue", "White", "White" },
      { "extra", "Black", "SaddleBrown", "Black" },
      { "extra", "Black", "SaddleBrown", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_INVINC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,_,B,B,B,_,B,B,B,_,B,B, },
      { B,B,_,B,B,B,_,B,B,B,_,B,B, },
      { B,B,_,B,B,B,_,B,B,B,_,B,B, },
      { B,B,_,B,B,B,_,B,B,B,_,B,B, },
      { B,B,_,B,B,B,_,B,B,B,_,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
