/* XBlast 2.5.10 level */

static BMPosition WhereRUMrMagoo_Draw[] = {
	{1, 7},
	{2, 2}, {2, 12},
	{4, 5}, {4, 9},
	{6, 1}, {6, 7}, {6, 13},
	{8, 5}, {8, 9},
	{10, 2}, {10, 12},
	{11, 7},
	};

static BMLevelData WhereRUMrMagoo =
{
  /* BMLevel */
  {
    "Where R U Mr Magoo ??",
    "ISTY : Sergio Da Silva",
    "xblast.useWhereRUMrMagoo",
    "A simple one: stay clear of the explosions",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &WhereRUMrMagoo,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME/2, 13, WhereRUMrMagoo_Draw},
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_cloak,
    special_key_cloak,
  },
  /* BMPlayerData */
  {
    5, 10,
    {
      {  5,  6 },
      {  5,  7 },
      {  5,  8 },
      {  7,  6 },
      {  7,  7 },
      {  7,  8 },
    },
    PM_Inner, 2,
    Healthy, Healthy, IF_Cloak | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "iron_floor", "Black", "LightSteelBlue", "SpringGreen" },
      { "iron_floor", "Black", "LightSteelBlue", "SpringGreen" },
      { "iron_floor", "Black", "LightSteelBlue", "SpringGreen" },
      { "iron_floor", "Black", "LightSteelBlue", "SpringGreen" },
      { "extra", "Black", "Sienna", "Black" },
      { "extra", "Black", "Sienna", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_RC,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowBlock, DEnone,
    { 0, 0, 0, 0, 0 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,_,_,_,_,_,_,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
